General developer forum

Code freeze for Moodle 3.4 starts Monday 9th October

 
Picture of Marina Glancy
Re: Code freeze for Moodle 3.4 starts Monday 9th October
Group Core developersGroup Moodle HQGroup Particularly helpful MoodlersGroup Plugin developersGroup Testers

The code freeze for Moodle 3.4 began yesterday. This means that integrators  will only be accepting bug fixes into core for the next month or so, until the release of Moodle 3.4

Big thanks to everybody who contributed to Moodle 3.4, it is going to be another exciting release filled with awesome new features.

Over the next week or two integrators will be working their way through the backlog of issues submitted for integration and aim to start 3.4 QA after this is completed.

If you are a plugin author, it is probably best to wait until at least next week before starting to check your plugin for 3.4 compatibility as this will be a busy week of changes in the codebase. Please remember that PHP 7.0 is the minimum supported PHP version for Moodle 3.4. If you have not tested your plugins on PHP7 yet, please read "Moodle and PHP7".

 
Average of ratings: Useful (1)